Skip to main content
GET
/
v1
/
jobs
Retrieve job details
curl --request GET \
  --url https://api.tryhamsa.com/v1/jobs \
  --header 'Authorization: <api-key>'
{
  "message": "<string>",
  "previewUrl": "<string>",
  "data": {
    "id": "<string>",
    "title": "<string>",
    "model": "<string>",
    "type": "<string>",
    "processingType": "<string>",
    "totalCost": 123,
    "usageTime": "<string>",
    "status": "PENDING",
    "apiKeyId": "<string>",
    "billingId": "<string>",
    "systemModelKey": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "webhookUrl": "<string>",
    "fromLng": "<string>",
    "toLng": "<string>",
    "mediaUrl": "<string>",
    "jobResponse": {},
    "fromScript": "<string>",
    "toScript": "<string>",
    "relevantJobId": "<string>",
    "agentDetails": "<string>",
    "voiceAgentId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '

Query Parameters

jobId
string
required
speaker
string

Response

Successful retrieval of job details

message
string
previewUrl
string<uri>
data
object